#include <iostream>
using namespace std;

struct koeficijent
{
int dy;
int dx;
};

struct cvor
{
    koeficijent k;
    struct stablo* l;
    struct stablo* d;
    
    cvor(koeficijent broj)
    {
        k.dy = broj.dy;
        k.dx = broj.dx;        
        l = NULL; d = NULL;
    }
};

int unos_stabla(cvor* prvi, koeficijent input, int broj)
{
    if(input.dx == 0 && input.dy < 0)
	input.dy *= -1;   
    if(input.dy < 0 && input.dx < 0)
    {
        input.dy *= -1;
        input.dx *= -1;
    }    
    if(prvi->k.dy * input.dx > prvi->k.dx * input.dy)
    {
        if(prvi->l == NULL)
        {
            prvi->levi = new cvor(input);
            return broj;
        }
        else broj = unos_stabla(prvi->l, input, broj);
    }
    else
{
    if(prvi->k.dy * input.dx < prvi->k.dy * input.dx)
    {
        if(prvi->d == NULL)
        {
            prvi->d = new cvor(input);
            return broj;
        }
        else broj = unos_stabla(prvi->d, input, broj);
    }
    else 
	if(prvi->k.dy == 2 * input.dy || prvo->k.dy * 2 == input.dy)
    {
        broj= broj + 1;
        return broj;
    }
    else
    if(prvi->k.dx == 2 * input.dx || prvi->k.dx * 2 == input.dx)
    {
        broj= broj + 1;
        return broj;
    }
    else return broj;
}
}

int main()
{
    long broj_takmicara;
    long x[10000];
    long y[10000];
    long rezultat = 0;
    koeficijent k;

    cin >> broj_takmicara;    
    cin >> x[0];
	cin >> y[0];
    cin >> x[1]
	cin >> y[1];
    
    k.dy = y[1] - y[0];
    k.dx = x[1] - x[0];
    
    cvor* prvi = new cvor(k);
    
    for(int i = 2; i < n; i++)
    {
        cin >> x[i]
	cin >> y[i];
        for(int j = 0; j < i; j++)
        {
            k.dy = y[j] - y[i];
            k.dx = x[j] - x[i];
            rezultat = unos_stabla(prvi, k, rezultat);
        }
    }
    
    cout << rezultat;
    
    return 0;
}